package kr.co.hanwha.hifive.util;

import org.junit.Test;

import static org.junit.Assert.*;

public class HFStringUtilTest {

    @Test
    public void getDisplayDueDateTaskDetail() {
        HFStringUtil util = new HFStringUtil();

        assertEquals("2018-07-01",
                util.getDisplayDueDateTaskDetail("2018-07-01 12:23:34", null));

        assertEquals("2018-07-01 ~ 2018-07-15",
                util.getDisplayDueDateTaskDetail("2018-07-01 12:23:34", "2018-07-15 15:00:22"));

        assertEquals("2018-07-01 ~ 2018-06-15",
                util.getDisplayDueDateTaskDetail("2018-07-01 12:23:34", "2018-06-15 15:00:22"));
    }

    @Test
    public void getDisplayDueDateTaskDetailFailed() {
        HFStringUtil util = new HFStringUtil();

        assertEquals("2018-07-01",
                util.getDisplayDueDateTaskDetail("2018-07-01 12:23:34", null));

        assertEquals("2018-07-01 ~ 2018-07-14",
                util.getDisplayDueDateTaskDetail("2018-07-01 12:23:34", "2018-07-15 15:00:22"));

    }

    @Test
    public void getDisplayClosedDateTaskDetail() {
    }

    @Test
    public void getDisplayWeekLoop() {
    }

    @Test
    public void extractLinks() {
    }

    @Test
    public void getDisplayDueDateAddTask() {
    }
}